Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.service.impl
Class EncryptionTokenRegistrationServiceImpl

    java.lang.Object
      be.fgov.ehealth.technicalconnector.ra.service.impl.EncryptionTokenRegistrationServiceImpl

All Implemented Interfaces:
  ConfigurableImplementation, EncryptionTokenRegistrationService

    public class EncryptionTokenRegistrationServiceImpl

extends Object
implements EncryptionTokenRegistrationService, ConfigurableImplementation

Constructor Summary
`EncryptionTokenRegistrationServiceImpl()`

Method Summary
`Result<Void>` | `activateToken()`
`void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.
`byte[]` | `registerPublicKey(PublicKey key)`
`Result<Void>` | `registerToken(byte[] etk)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptionTokenRegistrationServiceImpl

    public EncryptionTokenRegistrationServiceImpl()

Method Detail

### registerPublicKey

    public byte[] registerPublicKey(PublicKey key)
                             throws TechnicalConnectorException

  Specified by:
    `registerPublicKey` in interface `EncryptionTokenRegistrationService`
  Throws:
    `TechnicalConnectorException`

### registerToken

    public Result<Void> registerToken(byte[] etk)
                               throws TechnicalConnectorException

  Specified by:
    `registerToken` in interface `EncryptionTokenRegistrationService`
  Throws:
    `TechnicalConnectorException`

### activateToken

    public Result<Void> activateToken()
                               throws TechnicalConnectorException

  Specified by:
    `activateToken` in interface `EncryptionTokenRegistrationService`
  Throws:
    `TechnicalConnectorException`

### initialize

    public void initialize(Map<String,Object> parameterMap)
                    throws TechnicalConnectorException

  Description copied from interface: `ConfigurableImplementation`
  initializes the implementation with additional parameters.

  Specified by:
    `initialize` in interface `ConfigurableImplementation`
  Parameters:
    `parameterMap` - Map with for each propertyString ,the input parameter as Object.
  Throws:
    `TechnicalConnectorException` - if the parameterMap is not correct.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.